Package org.apache.commons.math3.random

# Class UnitSphereRandomVectorGenerator

java.lang.Object
org.apache.commons.math3.random.UnitSphereRandomVectorGenerator

All Implemented Interfaces:
  `RandomVectorGenerator`

public class UnitSphereRandomVectorGenerator extends Object implements RandomVectorGenerator
Generate random vectors isotropically located on the surface of a sphere.

Since:
  2.1

## Constructor Summary

Constructors
Constructor
Description
`UnitSphereRandomVectorGenerator(int dimension)`
Create an object that will use a default RNG (`MersenneTwister`), in order to generate the individual components.
`UnitSphereRandomVectorGenerator(int dimension, RandomGenerator rand)`

## Method Summary

Modifier and Type
Method
Description
`double[]`
`nextVector()`
Generate a random vector.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnitSphereRandomVectorGenerator

public UnitSphereRandomVectorGenerator(int dimension, RandomGenerator rand)

Parameters:
  `dimension` - Space dimension.
  `rand` - RNG for the individual components of the vectors.

### UnitSphereRandomVectorGenerator

public UnitSphereRandomVectorGenerator(int dimension)
Create an object that will use a default RNG (`MersenneTwister`), in order to generate the individual components.

Parameters:
  `dimension` - Space dimension.

## Method Details

### nextVector

public double[] nextVector()
Generate a random vector.

Specified by:
  `nextVector` in interface `RandomVectorGenerator`
Returns:
  a random vector as an array of double.